package com.liquidnet.service.adam.dto.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value = "AdamNftVo", description = "个人藏品响应数据")
@Data
public class AdamNftVo implements java.io.Serializable, Cloneable{
    private static final long serialVersionUID = 1L; // 手动指定

    @ApiModelProperty(position = 1, value = "是否存在NFT 1：存在 2：不存在")
    private int hasNft;

    @ApiModelProperty(position = 2, value = "是否存在NFT订单 1：存在 2：不存在")
    private int hasNftOrder;


    private static final AdamNftVo obj = new AdamNftVo();

    public static AdamNftVo getNew() {
        try {
            return (AdamNftVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new AdamNftVo();
        }
    }
}
